<?php
/**
 * Table Definition for Employees
 */
require_once 'DB/DataObject.php';

class DO_Employees extends DB_DataObject
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'Employees';                       // table name
    var $EmployeeID;                      // int(10)  not_null primary_key unsigned auto_increment
    var $Contractor;                      // int(1)  not_null
    var $ITTechnician;                    // int(1)  not_null
    var $FirstName;                       // string(50)
    var $LastName;                        // string(50)
    var $MiddleInitial;                   // string(50)
    var $Department;                      // int(10)  unsigned
    var $Campus;                          // int(10)  unsigned
    var $WorkPhone;                       // string(14)
    var $HomePhone;                       // string(14)
    var $MobilePhone;                     // string(14)
    var $Fax;                             // string(14)
    var $EmailAddress;                    // string(50)
    var $Notes;                           // string(255)
    var $HomeStreetAddress;               // string(75)
    var $HomePOBox;                       // string(25)
    var $HomeCity;                        // string(50)
    var $HomeState;                       // string(2)
    var $HomeZip;                         // string(12)
    var $Password;                        // string(127)
    var $GroupID;                         // int(10)  not_null unsigned
    var $Language;                        // string(25)
    var $JabberAccount;                   // string(255)
    var $PreferredNotification;           // string(6)  not_null enum
    var $Flag;                            // int(4)  not_null multiple_key

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_Employees',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE
    var $fb_linkDisplayFields = array('LastName', 'FirstName');
    var $fb_linkDisplayLevel = 2;

    function delete($useWhere = FALSE) {
        if (isset($_SESSION['keepHistorical']) && $_SESSION['keepHistorical']==false) {
            parent::delete($useWhere);
        } else {
            $this->find();
            while($this->fetch()){
                $this->Flag = fDELETED;
                $this->update();
            } // while
        }
    }

    function toString() {
        $ret = @$this->LastName.', '.@$this->FirstName;
        if ($this->Flag == fDELETED)
            $ret = '<span style="color: red;">['.$ret.']</span>';

        return $ret;
    }
}
?>