<?php
/**
 * Table Definition for KBCategories
 */
require_once 'DB/DataObject.php';

class DO_KBCategories extends DB_DataObject
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'KBCategories';                    // table name
    var $KBCategoryID;                    // int(10)  not_null primary_key unsigned auto_increment
    var $Description;                     // string(100)  not_null
    var $Flag;                            // int(4)  not_null multiple_key

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_KBCategories',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE

    var $fieldsToRender = array('KBCategoryID', 'Description');
    var $hidePrimaryKey = false;
    var $userEditableFields = array('Description');
    var $naming = array(lKBCATEGORY, lKBCATEGORIES);

    function toString() {
        $ret = @$this->Description;
        if ($this->Flag == fDELETED)
            $ret = '<span style="color: red;">['.$ret.']</span>';

        return $ret;
    }

    function delete($useWhere = FALSE) {
        if (isset($_SESSION['keepHistorical']) && $_SESSION['keepHistorical']==false) {
            parent::delete($useWhere);
        } else {
            $this->find();
            while($this->fetch()){
                $this->Flag = fDELETED;
                $this->update();
            } // while
        }
    }
    
    function defineForm(&$form) {
        $form->addElement('hidden', 'field_KBCategoryID', $this->KBCategoryID);
        $form->addElement('text', 'field_Description', 'Name:',array('size'=>40));
    }
}
?>