<?php
/**
 * Table Definition for OutOfOffice
 */
require_once 'DB/DataObject.php';

class DO_OutOfOffice extends DB_DataObject
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'OutOfOffice';                     // table name
    var $ID;                              // int(10)  not_null primary_key unsigned auto_increment
    var $Employee;                        // int(10)  not_null unsigned
    var $Out;                             // datetime(19)  not_null
    var $Back;                            // datetime(19)  
    var $Description;                     // string(255)  

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_OutOfOffice',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE

    function table()
    {
        return array_merge(parent::table(), array('Employee_Display' => DB_DATAOBJECT_STR));
    }

    function find($n = false)
    {
        $tempDO = DB_DataObject::factory('Employees');
        parent::joinAdd($tempDO,'LEFT');
        parent::selectAdd('CONCAT(Employees.LastName,\', \',Employees.FirstName) AS Employee_Display, Employees.EmployeeID');

        parent::find($n);
    }

    function insert()
    {
        if (isset($this->Employee_Display))
            unset($this->Employee_Display);

        parent::insert();
    }

    function update($do = false)
    {
        // Unset the virtual field in the current DataObject
        if (isset($this->Employee_Display)) {
            unset($this->Employee_Display);
        }

        // Unset the virtual field in the new DataObject
        if (is_object($do) && isset($do->Employee_Display)) {
                unset($do->Employee_Display);
        }

        parent::update($do);
    }
}
?>