<?php
/**
 * Table Definition for PrinterTypes
 */
require_once 'DB/DataObject.php';

class DO_PrinterTypes extends DB_DataObject 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'PrinterTypes';                    // table name
    var $ID;                              // int(10)  not_null primary_key unsigned auto_increment
    var $Description;                     // string(25)  not_null
    var $Flag;                            // int(4)  not_null multiple_key

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_PrinterTypes',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE
    var $fieldsToRender = array('ID', 'Description');
    var $hidePrimaryKey = false;
    var $userEditableFields = array('Description');
    var $naming = array(lPRINTYPE, lPRINTYPES);

    function toString() {
        $ret = @$this->Description;
        if ($this->Flag == fDELETED)
            $ret = '<span style="color: red;">['.$ret.']</span>';
        
        return $ret;
    }
    
    function delete($useWhere = FALSE) {
        if (isset($_SESSION['keepHistorical']) && $_SESSION['keepHistorical']==false) {
            parent::delete($useWhere);
        } else {
            $this->find();
            while($this->fetch()){
                $this->Flag = fDELETED;
                $this->update();
            } // while
        }
    }

    function defineForm(&$form) {
        $form->addElement('hidden', 'field_ID', $this->ID);
        $form->addElement('text', 'field_Description', 'Name:',array('size'=>40));
    }
}
?>