<?php
/**
 * Table Definition for Support
 */
require_once 'DB/DataObject.php';

class DO_Support extends DB_DataObject 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'Support';                         // table name
    var $SupportID;                       // int(11)  not_null primary_key unsigned auto_increment
    var $StartedDate;                     // datetime(19)  
    var $Updated;                         // datetime(19)  not_null
    var $Title;                           // string(100)  not_null
    var $Computer;                        // int(11)  unsigned
    var $Printer;                         // int(10)  unsigned
    var $Employee;                        // int(11)  
    var $SupportType;                     // int(11)  unsigned
    var $Description;                     // blob(65535)  blob
    var $SupportStatus;                   // int(11)  unsigned
    var $Technician;                      // int(11)  unsigned

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_Support',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE

    /**
     * Returns a string representation of a Support object
     */
    function toString()
    {
        return $this->Title;
    }
}
?>
