<?php
/**
 * Table Definition for SupportStatus
 */
require_once 'DB/DataObject.php';
require_once 'HTML/QuickForm.php';

class DO_SupportStatus extends DB_DataObject 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'SupportStatus';                   // table name
    var $ID;                              // int(11)  not_null primary_key unsigned auto_increment
    var $Description;                     // string(25)  
    var $Closed;                          // int(1)  
    var $Flag;                            // int(4)  not_null multiple_key

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_SupportStatus',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE
    var $fieldsToRender = array('Description', 'Closed');
    var $hidePrimaryKey = true;
    var $userEditableFields = array('Description', 'Closed');

    function preGenerateForm()
    {
        $this->fb_preDefElements['Closed'] = HTML_QuickForm::createElement('advcheckbox', 'Closed', 'Is Closed?', null, null, array(0, 1));
    } 

    var $naming = array(lSUPTSTATUS, lSUPTSTATUSES);
    var $specialView = array('Closed' => array('1' => 'Yes', '0' => 'No', null => 'No'));

    function toString() {
        $ret = @$this->Description;
        if ($this->Flag == fDELETED)
            $ret = '<span style="color: red;">['.$ret.']</span>';
        
        return $ret;
    }
    
    function delete($useWhere = FALSE) {
        if (isset($_SESSION['keepHistorical']) && $_SESSION['keepHistorical']==false) {
            parent::delete($useWhere);
        } else {
            $this->find();
            while($this->fetch()){
                $this->Flag = fDELETED;
                $this->update();
            } // while
        }
    }
    function defineForm(&$form) {
        $form->addElement('hidden', 'field_ID', $this->ID);
        $form->addElement('text', 'field_Description', 'Name:',array('size'=>40));
        $form->addElement('advcheckbox','field_Closed','','Items with this status are closed.');
    }
}
?>