<?php
/**
 * Table Definition for SupportTypes
 */
require_once 'DB/DataObject.php';

class DO_SupportTypes extends DB_DataObject 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'SupportTypes';                    // table name
    var $ID;                              // int(11)  not_null primary_key unsigned auto_increment
    var $Description;                     // string(50)  
    var $Hardware;                        // int(1)  
    var $Preventative;                    // int(1)  
    var $Flag;                            // int(4)  not_null multiple_key

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_SupportTypes',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE
    var $fieldsToRender = array('ID', 'Description', 'Hardware', 'Preventative');
    var $hidePrimaryKey = false;
    var $userEditableFields = array('Description', 'Hardware', 'Preventative');
    function preGenerateForm()
    {
        $this->fb_preDefElements['Hardware'] = HTML_QuickForm::createElement('advcheckbox', 'Hardware', 'Hardware?', null, null, array(0, 1));
        $this->fb_preDefElements['Preventative'] = HTML_QuickForm::createElement('advcheckbox', 'Preventative', 'Preventative?', null, null, array(0, 1));
    } 

    var $naming = array(lSUPTTYPE, lSUPTTYPES); 
    // var $addFormHeader=false;
    var $formHeaderText = lSUPTTYPE;
    var $listColumns = array('Description' => 'Description', 'Hardware' => 'Hardware Related', 'Preventative' => 'Preventative');
    var $specialView = array('Hardware' => array('1' => 'Yes', '0' => 'No', '' => 'No'),
        'Preventative' => array('1' => 'Yes', '0' => 'No', '' => 'No'));

    function toString() {
        $ret = @$this->Description;
        if ($this->Flag == fDELETED)
            $ret = '<span style="color: red;">['.$ret.']</span>';
        
        return $ret;
    }
    
    function delete($useWhere = FALSE) {
        if (isset($_SESSION['keepHistorical']) && $_SESSION['keepHistorical']==false) {
            parent::delete($useWhere);
        } else {
            $this->find();
            while($this->fetch()){
                $this->Flag = fDELETED;
                $this->update();
            } // while
        }
    }

    function defineForm(&$form) {
        $form->addElement('hidden', 'field_ID', $this->ID);
        $form->addElement('text', 'field_Description', 'Name:',array('size'=>40));
        $form->addElement('advcheckbox','field_Hardware','','Hardware Related');
        $form->addElement('advcheckbox','field_Preventative','','Preventative Maintanance');
    }
}
?>