<?php
/**
 * Table Definition for Vendors
 */
require_once 'DB/DataObject.php';

class DO_Vendors extends DB_DataObject 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'Vendors';                         // table name
    var $ID;                              // int(11)  not_null primary_key unsigned auto_increment
    var $Company;                         // string(50)  
    var $Flag;                            // int(4)  not_null multiple_key

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_Vendors',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE
     
    var $fieldsToRender = array('Company');
    var $hidePrimaryKey = TRUE;
    var $userEditableFields = array('Company');
    var $fb_linkDisplayFields = array('Company');

    var $naming = array(lVENDOR, lVENDORS);

    function toString() {
        $ret = @$this->Company;
        if ($this->Flag == fDELETED)
            $ret = '<span style="color: red;">['.$ret.']</span>';
        
        return $ret;
    }
    
    function delete($useWhere = FALSE) {
        if (isset($_SESSION['keepHistorical']) && $_SESSION['keepHistorical']==false) {
            parent::delete($useWhere);
        } else {
            $this->find();
            while($this->fetch()){
                $this->Flag = fDELETED;
                $this->update();
            } // while
        }
    }

    function defineForm(&$form) {
        $form->addElement('hidden', 'field_ID', $this->ID);
        $form->addElement('text', 'field_Company', 'Company:',array('size'=>40));
    }
}
?>
