<?php
    require_once('inc/common.php');
    require_once('HTML/QuickForm.php');

    if (isset($_GET['Mini']))
        $miniHeader=true;

    require_once('inc/header.php');

    // Add Login_Text
    if (isset($_SESSION['Login_Text']))
        echo '
            <table cellspacing="0" cellpadding="0"><tr><td class="warning">'.
            $_SESSION['Login_Text'].'</td></tr></table>';

    // Set form action
    $action = 'loginauth.php';
    if (isset($_SERVER["QUERY_STRING"]))
        $action = 'loginauth.php?'.$_SERVER["QUERY_STRING"];

    $form = new HTML_QuickForm('Login', 'POST', $action);
    $form->addElement('header', null, lSIGNIN);

    // Add Employees field
    if ($settings['Login']['login_field'] == 'text') {
        $form->addElement('text', 'Employee', 'Employee:');
    } else {
        $tempDO = DB_DataObject::factory('Employees');
        $tempDO->orderBy('LastName, FirstName');
        $tempDO->whereAdd('Flag!='.fDELETED);
        $tempDO->find();
        while($tempDO->fetch()){
            $Employees[$tempDO->EmployeeID]=$tempDO->toString();
        }
        $EmployeeSelect = $form->addElement('select', 'Employee', 'Employee:', $Employees);

        if (isset($_SESSION['EmployeeID']))
            $EmployeeSelect->setValue($_SESSION['EmployeeID']);
    }

    // Add Password field
    $form->addElement('password', 'Password', 'Password:');
    $form->addElement('submit', null, lSIGNIN);
    echo $form->toHTML();

    outputDebugInfo();
    footer();
?>