<?php
if (!empty($_POST['Employee']) && isset($_POST['Password'])) {
    if ($settings['Login']['login_field'] == 'text') {
        $login_name = $_POST['Employee'];
    } else {
        //If using the pull down menu, find the user's data from the DB for the login.
        $query = 'SELECT FirstName, LastName, GroupID, EmployeeID FROM Employees
            WHERE EmployeeID = '.$_POST['Employee'];

        $res =& $db->query($query);
        $row =& $res->fetchRow();
        $login_name = $row['FirstName'] . " " . $row['LastName'];
    }

    //connect to the LDAP Server
    $ad = @ldap_connect($settings['LDAP']['server']) or
        die("Could not connect to LDAP Server");

    if ($settings['LDAP']['usedummy']) {
        //If the login system is using the LDAP dummy account, bind to that and
        //search for the real login name of the user in the LDAP structure
        $bd = @ldap_bind($ad, $settings['LDAP']['dummylogin'], $settings['LDAP']['dummypassword']) or die("crap");
        $sr = ldap_search($ad, $settings['LDAP']['context'], '(' . $settings['LDAP']['loginfield'] . '=' . $login_name . ')');

        $entries = ldap_first_entry($ad, $sr);
        $username = ldap_get_values($ad, $entries, $settings['LDAP']['truelogin']);

        //make another connection to the LDAP server and bind to test the password
        $ad2 = @ldap_connect($settings['LDAP']['server']) or
            die("Could not connect to LDAP Server");
        $bd = @ldap_bind($ad2, $username[0], $_POST['Password']);
        if( $bd ) {
            //if this new bind is successful, grab the email address to match
            //the user up with the OpenIT user in the DB
            $sr = ldap_search($ad2, $settings['LDAP']['context'], '(' . $settings['LDAP']['loginfield'] . '=' . $login_name . ')');
            $entries = ldap_first_entry( $ad2, $sr);
            $mail = ldap_get_values($ad2, $entries, "mail");
        }
        ldap_unbind($ad2);
    } else {
        //If no dummy account is used, bind using the entered username and password
        $bd = @ldap_bind($ad, $login_name, $_POST['Password']);
        if ($bd) {
            //if this bind is successful, grab the email address to match
            //the user up with the OpenIT user in the DB
            $sr = ldap_search($ad, $settings['LDAP']['context'], '(' . $settings['LDAP']['loginfield'] . '=' . $login_name . ')');
            $entries = ldap_first_entry( $ad, $sr);
            $mail = ldap_get_values($ad, $entries, "mail");
        }
    }

    if ($settings['Login']['login_field'] == 'text') {
        //If using the text field for the login, pull the user's data from the
        //DB using the email address pulled from the LDAP server
        $query = 'SELECT FirstName, LastName, GroupID, EmployeeID, Department FROM Employees
            WHERE EmailAddress LIKE \'' . $mail[0] . '\'';

        $res =& $db->query($query);
        $row =& $res->fetchRow();
        $login_name = $row['FirstName'] . " " . $row['LastName'];
    }

    if(isset($row['GroupID']) && $mail != "") {
        // LOGIN SUCCEEDED
        $_SESSION['EmployeeID'] = $row['EmployeeID'];
        $_SESSION['EmployeeName'] = $row['FirstName'].' '.$row['LastName'];
        $_SESSION['Group'] = $row['GroupID'];
        $_SESSION['Department'] = $row['Department'];
        $_SESSION['SignedOn'] = time();
        $_SESSION['Login_Text'] = 'Already logged in as '.
        $_SESSION['EmployeeName'].'.';

        $redirect = '';
    }
    else {
        // LOGIN FAILED
        $redirect = 'login.php';
        $_SESSION['Login_Text'] = 'Invalid Username or Password.';
    }
}

?>