<?php
    $do = DB_DataObject::factory('Employees');
    $do->get($ID);

    $FirstName = $do->FirstName;
    $LastName = $do->LastName;

    // Send vCard headers
    header('Content-type: text/x-vcard');
    header(
        "Content-Disposition: attachment; filename=\"${FirstName} ${LastName}.vcf\"");

    echo    "BEGIN:VCARD\r\n".
            "VERSION:2.1\r\n".
            "N:$LastName;$FirstName;;;\r\n".
            "FN:$FirstName $LastName\r\n";

    if(!empty($do->EmailAddress))
        printf("EMAIL;INTERNET:%s\r\n", $do->EmailAddress);
    if(!empty($do->WorkPhone))
        printf("TEL;PREF;WORK:%s\r\n", $do->WorkPhone);
    if(!empty($do->HomePhone))
        printf("TEL;HOME:%s\r\n", $do->HomePhone);
    if(!empty($do->MobilePhone))
        printf("TEL;CELL:%s\r\n", $do->MobilePhone);
    if(!empty($do->Fax))
        printf("TEL;FAX:%s\r\n", $do->Fax);
    if($do->ITTechnician == '1')
        echo "ROLE:IT Technician\r\n";
    if($do->Contractor == '1') {
        echo "NOTE:Contractor\r\n";
    } else {
        extract($settings['Company']);
        $Department = '';
        if(!empty($do->Department) && $do->Department > 0) {
            $DeptDO = $do->getLink('Department');
            $Department = $DeptDO->toString();
        }
        echo "ORG:$CompanyName;;$Department\r\n".
            "ADR;DOM;WORK:".
            "$CompanyPOBox;;$CompanyStreetAddress;$CompanyCity;$CompanyState;".
            "$CompanyZip;$CompanyCountry\r\n";
    }
    echo "END:VCARD";
?>