<?php
$do = DB_DataObject::factory('Groups');

$changeDO=DB_DataObject::factory('Changelog');
$changeDO->TableName='Groups';
$changeDO->UserIP=$_SERVER['REMOTE_ADDR'];
$changeDO->EmployeeID=$_SESSION['EmployeeID'];

if ($ID == NEWID) {
    $data = array('group_ComputersPerm'=>0, 'group_PrintersPerm'=>0,
        'group_PeripheralsPerm' => 0, 'group_SoftwarePerm'=>0,
        'group_EmployeesPerm'=>2, 'group_ReportsPerm'=>0,
        'group_SupportPerm'=>1, 'group_KBPerm'=>2,'group_GroupPerm'=>0,
        'group_OutOfOfficePerm'=>1, 'group_LookupsPerm'=>0, 'group_NewsPerm'=>1,
        'group_PolicyPerm'=>1);

    $title = lADD_NEW.' '.lNEWS;
    $changeDO->QueryType = 'INSERT';
    $changeDO->Description = $title;
} else {
    $do->get($ID);

    $data = $do->toArray('group_%s');
    $title = lUPDATED.' '.lNEWS;
    $changeDO->QueryType = 'UPDATE';
    $changeDO->Description = $title." ($ID)";
}

$permOptions = array(0=>'None', 1=>'List', 2=>'View', 3=>'Edit', 4=>'Full');

$form = new HTML_QuickForm(sGROUPS,'POST',"index.php?Edit=".sGROUPS."&ID=$ID");

$form->addElement('header', null, $title);
$form->addElement('hidden', 'group_GroupID', $ID);
$form->addElement('text', 'group_Name', 'Name:');
$form->addElement('select', 'group_ComputersPerm', lCOMPUTERS.' Permission', $permOptions);
$form->addElement('select', 'group_PrintersPerm', lPRINTERS.' Permission', $permOptions);
$form->addElement('select', 'group_PeripheralsPerm', lPERIPHERALS.' Permission', $permOptions);
$form->addElement('select', 'group_SoftwarePerm', lSOFTWARE.' Permission', $permOptions);
$form->addElement('select', 'group_EmployeesPerm', lEMPLOYEES.' Permission', $permOptions);
$form->addElement('select', 'group_OutOfOfficePerm', lOUTOFOFFICE.' Permission', $permOptions);
$form->addElement('select', 'group_ReportsPerm', lREPORTS.' Permission', $permOptions);
$form->addElement('select', 'group_SupportPerm', lSUPPORT.' Permission', $permOptions);
$form->addElement('select', 'group_KBPerm', lKB.' Permission', $permOptions);
$form->addElement('select', 'group_PolicyPerm', lPOLICIES.' Permission', $permOptions);
$form->addElement('select', 'group_GroupPerm', lGROUPS.' Permission', $permOptions);
$form->addElement('select', 'group_LookupsPerm', lLOOKUPS.' Permission', $permOptions);
$form->addElement('select', 'group_NewsPerm', lNEWS.' Permission', $permOptions);

$form->addElement('submit', NULL, lSUBMIT);

$form->addRule('group_Name', 'You must enter a name for this group.', 'required', null, 'client');

if ($form->validate()) {
    $form->process('processForm', false);
    $changeDO->insert();
    echo my_redirect('index.php?List='.sGROUPS);
} else {
    if (isset($data))
        $form->setDefaults($data);

    $form->display();
}

function processForm($values) {
    $do = DB_DataObject::factory('Groups');

    if ($values['group_GroupID']==NEWID) {
        unset($values['group_GroupID']);
        $isNew = true;
    }
    else {
        $do->get($values['group_GroupID']);
    }
    $do->setFrom($values,'group_%s');

    if (isset($isNew)) {
        $do->insert();
    }
    else {
        $do->update();
    }
}
?>