<?php
// GROUPS

$do = DB_DataObject::factory('Groups');
$do->whereAdd('Groups.Flag != '.fDELETED);
$do->find();

$table =& new HTML_Table(array('cellpadding'=>'0', 'cellspacing'=>'0'));

$newRow = array();
switch(Permission(sGROUPS)) {
        case pREMV:
            $newRow[] = '';
        case pEDIT:
            $newRow[] = '';
        case pVIEW:
            $newRow[] = lNAME;
            $newRow[] = lCOMPUTERS;
            $newRow[] = lPRINTERS;
            $newRow[] = lPERIPHERALS;
            $newRow[] = lSOFTWARE;
            $newRow[] = lEMPLOYEES;
            $newRow[] = lREPORTS;
            $newRow[] = lSUPPORT;
            $newRow[] = 'KB';
            $newRow[] = lGROUPS;
            $newRow[] = lNEWS;
            $newRow[] = lOUTOFOFFICE;
            break;
        case pLIST:
            $newRow[] = lNAME;
    }

$table->addRow($newRow, null, 'TH');

while($do->fetch()) {
    $newRow = array();

    switch(Permission(sGROUPS)) {
        case pREMV:
            if(($do->GroupID == GUESTS_GROUPID)
                || ($do->GroupID == $_SESSION['Group']))
                $newRow[] = xButton();
            else
                $newRow[] = RemoveButton(sGROUPS, $do->GroupID);
        case pEDIT:
            $newRow[] = EditButton(sGROUPS, $do->GroupID);
        case pVIEW:
            $newRow[] = $do->Name;
            $newRow[] = PermToString($do->ComputersPerm);
            $newRow[] = PermToString($do->PrintersPerm);
            $newRow[] = PermToString($do->PeripheralsPerm);
            $newRow[] = PermToString($do->SoftwarePerm);
            $newRow[] = PermToString($do->EmployeesPerm);
            $newRow[] = PermToString($do->ReportsPerm);
            $newRow[] = PermToString($do->SupportPerm);
            $newRow[] = PermToString($do->KBPerm);
            $newRow[] = PermToString($do->GroupPerm);
            $newRow[] = PermToString($do->NewsPerm);
            $newRow[] = PermToString($do->OutOfOfficePerm);
            break;
        case pLIST:
            $newRow[] = $do->Name;
    }

    $newRowID = $table->addRow($newRow);

    $rowAttr = array(
        'id'=>'row'.$do->GroupID,
        'onMouseOver'=>"javascript:setColor(".$do->GroupID.",'".$settings['bgColorHover']."')",
        'onMouseOut'=>'javascript:origColor('.$do->GroupID.')');

    if(($newRowID%2) == 0)
        $rowAttr['class'] ='even';
    else
        $rowAttr['class'] = 'odd';

    $table->setRowAttributes($newRowID, $rowAttr, true);
}

for($i = 1; $i < 10; $i++)
    $table->updateColAttributes(count($newRow) - $i, 'align="center"');

if (EditPerm(sGROUPS))
    echo AddNewButton(sGROUPS);

echo $table->toHTML();
?>