<?php
if (is_numeric($_GET['ID']))
    $ID = $_GET['ID'];
else
    die('Invalid ID');

if (isset($_GET['Category'])) {
    switch ($_GET['Category']) {
        case 'Campuses':
        case 'Departments':
        case 'KBCategories':
        case 'PolicyCategories':
        case 'PrinterTypes':
        case 'PeripheralTypes':
        case 'SupportStatus':
        case 'SupportTypes':
        case 'Role':
        case 'Vendors':
            $Category = $_GET['Category'];
            break;
        default:
            die('Invalid Lookup Category');
    }
} else {
    die('Invalid Lookup Category');
}

$do = DB_DataObject::factory($Category);

$changeDO=DB_DataObject::factory('Changelog');
$changeDO->TableName=$Category;
$changeDO->UserIP=$_SERVER['REMOTE_ADDR'];
$changeDO->EmployeeID=$_SESSION['EmployeeID'];

if ($ID!=NEWID) {
    $do->get($ID);
    $do->getLinks();

    if($do->count()<1)
        die("No ".@$do->naming[0]." with that ID");

    $existingData = $do->toArray('field_%s');
    $changeDO->Description=lEDITING.' '.@$do->naming[0]."($ID)";
    $changeDO->QueryType='UPDATE';
}
else {
    $existingData = array();
    $changeDO->Description=lADD_NEW.' '.@$do->naming[0];
    $changeDO->QueryType='INSERT';
}

$form = new HTML_QuickForm(sLOOKUPS,'POST',"index.php?Edit=Lookups&ID=$ID&Category=$Category");
$form->addElement('header', null, ($ID==NEWID)?(lADD_NEW.' '.@$do->naming[0]):(lEDITING.' '.@$do->naming[0]));
$form->addElement('hidden', 'category', $Category);

// This puts the burden of creating the form on the dataobject itself.
$do->defineForm($form);

$form->addElement('submit', NULL, lSUBMIT);

$form->setDefaults($existingData);

if ($form->validate()) {
  $form->process('processForm', false);
  $changeDO->insert();
  echo my_redirect('index.php?List=Lookups&Category='.$Category);
}
else {
  $form->display();
}

function processForm($values) {
    $do = DB_DataObject::factory($values['category']);
    $key = $do->keys();
    $key = $key[0];
    if (is_numeric($values["field_$key"]))
        $do->get($values["field_$key"]);

    $ret = $do->setFrom($values,'field_%s');

    if ($ret === TRUE) {
        $keys = $do->keys();
        if (is_numeric($values["field_$key"])) {
            $do->update();
        } else {
            $do->insert();
        }
    }
}
?>