<?php
    $do = DB_DataObject::factory('News');
    //$tempDO = DB_DataObject::factory('Employees');
    //$do->joinAdd($tempDO);
    $tempDO = DB_DataObject::factory('News_Departments');
    $do->joinAdd($tempDO,'LEFT');

    $do->selectAdd();
    $do->selectAdd('News.*');
    //$do->selectAs(array('LastName','FirstName'),'emp%s','Employees');
    $do->selectAs(array('DepartmentID'),'dep%s','News_Departments');
    $do->groupBy('News.NewsID');
    $do->whereAdd('News.Flag != '.fDELETED);

    if(isset($_GET['Sort'])) {
        if($_GET['Sort'] == 'Creation')
            $do->orderBy('CreationStamp DESC');
        elseif($_GET['Sort'] == 'Owner')
            $do->orderBy('Employee_Display');
        elseif($_GET['Sort'] == 'Expiration')
            $do->orderBy('ExpirationTime DESC');
    }

    $table =& new HTML_Table(array('cellpadding'=>'0', 'cellspacing'=>'0'));
    $table->setAutoGrow(true);

    $do->find();
    $newRow = array();
    $permissions=Permission(sNEWS);

    switch($permissions) {
        case pREMV:
            $newRow[] = '';
        case pEDIT:
            $newRow[] = '';
        case pVIEW:
        case pLIST:
            $newRow[] = 'Public';
            $newRow[] = makeSortHeader(lCREATEDATE,'Creation');
            $newRow[] = makeSortHeader(lEXPIREDATE,'Expiration');
            $newRow[] = lTITLE;
            $newRow[] = makeSortHeader(lEMPLOYEE,'Owner');
    }

    $table->addRow($newRow, null, 'TH');

    while($do->fetch()) {
        //$do->getLinks();
        $newRow = array();

        switch($permissions) {
            case pREMV:
                $newRow[] = RemoveButton(sNEWS, $do->NewsID);
            case pEDIT:
                $newRow[] = EditButton(sNEWS, $do->NewsID);
            case pVIEW:
            case pLIST:
                if (is_null($do->toValue('depDepartmentID')))
                    $newRow[] = 'Yes';
                else
                    $newRow[] = 'No';

                $newRow[] = strftime('%D %r',strtotime($do->CreationStamp));

                if (is_null($do->ExpirationTime))
                    $newRow[] = 'None';
                else
                    $newRow[] = strftime('%D %r',strtotime($do->ExpirationTime));

                $newRow[] = $do->toString();
                $newRow[] = $do->Employee_Display;
        }

        $newRowID = $table->addRow($newRow);

        $rowAttr = array(
                'id'=>'row'.$do->NewsID,
                'onMouseOver'=>"javascript:setColor(".$do->NewsID.",'".$settings['bgColorHover']."')",
                'onMouseOut'=>'javascript:origColor('.$do->NewsID.')');

        if(($newRowID%2) == 0)
                $rowAttr['class'] ='even';
            else
                $rowAttr['class'] = 'odd';

        $table->setRowAttributes($newRowID, $rowAttr, true);
    }

    $table->updateColAttributes(count($newRow) - 1, 'align="right"');
    echo AddNewButton(sNEWS);
    echo $table->toHTML();
?>