<?php
    $do = DB_DataObject::factory('Policies');
    $subDO = DB_DataObject::factory('PolicyText');
    $do->joinAdd($subDO);
    $do->groupBy('Policies.PolicyID');
    $do->whereAdd('PolicyText.Flag !='.fDELETED. ' AND ' . $do->__table.'.Flag != '.fDELETED);
    $do->selectAdd();
    $do->selectAdd('Policies.PolicyID, Policies.Title, PolicyText.PolicyTextID, UNIX_TIMESTAMP(PolicyText.Created) AS Created');

    if (isset($_GET['order'])) {
        switch(isset($_GET['order'])) {
            case 'Category':
                $_SESSION['Sorts']['Policies'] = 'Category_Display';
                break;
            case 'Title':
                $_SESSION['Sorts']['Policies'] = 'Title';
                break;
            case 'Updated':
                $_SESSION['Sorts']['Policies'] = 'Created';
                break;
            default:
                unset($_SESSION['Sorts']['Policies']);
                break;
        }

        if (isset($_GET['sort']) && isset($_SESSION['Sorts']['Policies']))
            $_SESSION['Sorts']['Policies'] .= ' '.$_GET['sort'];
    }

    if(isset($_SESSION['Sorts']['Policies'])) {
        $do->orderBy($_SESSION['Sorts']['Policies']);
    }

    $do->find();

    $table =& new HTML_Table(array('cellpadding'=>'0', 'cellspacing'=>'0'));

    $newRow = array('');

    switch(Permission(sPOLICIES)) {
        case pREMV:
            $newRow[] = '';
        case pEDIT:
            $newRow[] = '';
        case pVIEW:
            $newRow[] = '';
        case pLIST:
            $newRow[] = makeSortHeader(lCATEGORY,'Category');
            $newRow[] = makeSortHeader(lTITLE,'Title');
            $newRow[] = makeSortHeader(lCREATEDATE,'Updated');
    }

    $table->addRow($newRow, null, 'TH');

    while($do->fetch()) {
        $newRow = array();

        switch(Permission(sKB)) {
            case pREMV:
                $newRow[] = RemoveButton(sPOLICIES, $do->PolicyID);
            case pEDIT:
                $newRow[] = EditButton(sPOLICIES, $do->PolicyID);
            case pVIEW:
                $newRow[] = ViewButton(sPOLICIES, $do->PolicyID);
            case pLIST:
                $newRow[] = $do->Category_Display;
                $newRow[] = $do->Title;
                $newRow[] = strftime('%r %m/%d/%Y', $do->toValue('Created'));
        }

        $newRowID = $table->addRow($newRow);

        $rowAttr = array(
                'id'=>'row'.$do->PolicyID,
                'onMouseOver'=>"javascript:setColor(".$do->PolicyID.",'".$settings['bgColorHover']."')",
                'onMouseOut'=>'javascript:origColor('.$do->PolicyID.')');

        if(($newRowID%2) == 0)
                $rowAttr['class'] ='even';
            else
                $rowAttr['class'] = 'odd';

        $table->setRowAttributes($newRowID, $rowAttr, true);
    }

    echo AddNewButton(sPOLICIES);
    echo $table->toHTML();
?>