<?php
    $do = DB_DataObject::factory('Reports');

    $table =& new HTML_Table(array('cellpadding'=>'0', 'cellspacing'=>'0'));
    $table->setAutoGrow(true);

    $newRow = array();

    switch(Permission(sREPORTS)) {
        case pREMV:
            $newRow[] = '';
        case pEDIT:
            $newRow[] = '';
        case pVIEW:
            $newRow[] = '';
        case pLIST:
            $newRow[] = makeSortHeader(lTITLE, 'Title');
            $newRow[] = makeSortHeader('Author', 'Author');
    }

    $table->addRow($newRow, null, 'TH');

    if (isset($Sort))
        $do->orderBy($Sort);

    $do->find();

    while ($row = $do->fetch()) {
        $do->getLinks();
        $newRow = array();

        switch(Permission(sREPORTS)) {
            case pREMV:
                $newRow[] = RemoveButton(sREPORTS, $do->ReportID);
            case pEDIT:
                $newRow[] = EditButton(sREPORTS, $do->ReportID);
            case pVIEW:
                $newRow[] = ViewButton(sREPORTS, $do->ReportID);
            case pLIST:
                $newRow[] = $do->Title;
                $newRow[] = $do->_Employee;
        }

        $newRowID = $table->addRow($newRow);

        $rowAttr = array(
            'id'=>'row'.$do->ReportID,
            'onMouseOver'=>"javascript:setColor(".$do->ReportID.",'".$settings['bgColorHover']."')",
            'onMouseOut'=>'javascript:origColor('.$do->ReportID.')');

        if(($newRowID%2) == 0)
                $rowAttr['class'] ='even';
            else
                $rowAttr['class'] = 'odd';

        $table->setRowAttributes($newRowID, $rowAttr, true);
    }

    if (EditPerm(sREPORTS)) {
        echo AddNewButton(sREPORTS);
    }

    echo $table->toHTML();
?>