<?php
$SoftwareDO = DB_DataObject::factory('Software');

$changeDO=DB_DataObject::factory('Changelog');
$changeDO->TableName='Software';
$changeDO->UserIP=$_SERVER['REMOTE_ADDR'];
$changeDO->EmployeeID=$_SESSION['EmployeeID'];
$data=array();

if ($ID != NEWID) {
    // UPDATE
    $SoftwareDO->get($ID);

    $changeDO->Description = lEDITING.' '.lSOFTWARE." ($ID)";
    $changeDO->QueryType = 'UPDATE';
    $data = $SoftwareDO->toArray('software_%s');

} else {
    // INSERT

    $changeDO->Description = lADD_NEW.' '.lSOFTWARE;
    $changeDO->QueryType = 'INSERT';
    $data['software_ID'] = NEWID;
}

// Load Vendors
$tempDO = DB_DataObject::factory('Vendors');
$tempDO->orderBy('Company');
$tempDO->find();
$vendorOptions = array( 0 => 'Unspecified');
while($tempDO->fetch())
    $vendorOptions[$tempDO->ID] = $tempDO->toString();

$form = new HTML_QuickForm('Software','POST', 'index.php?Edit=Software&ID='.$ID);
$form->addElement('hidden', 'software_ID', $ID);

if ($showFrozen) {
    $form->addElement('header', null, lSOFTWARE. " ($ID)");
} else {
    $form->addElement('header', null, $changeDO->Description);
}

$form->addElement('select', 'software_Vendor', lVENDOR . ':', $vendorOptions);
$form->addElement('text', 'software_Title', lTITLE.':');
$form->addElement('text', 'software_Version', 'Version:');
$form->addElement('text', 'software_Licenses', 'Licenses:', array('size'=>'8'));
$form->addElement('text', 'software_ManufacturedDate', 'Manufactured Date:');
if ($showFrozen) {
    $form->addElement('checkbox', 'software_isOS', 'Operating System:');
} else {
    $form->addElement('checkbox', 'software_isOS', 'Operating System:',
        ' (check box if this software is an operating system)');
}

$form->setDefaults($data);

if ($showFrozen) {
    // VIEW
    $form->freeze();
    $form->display();
} elseif ($form->validate()) {
    // SAVE
    $form->process('processForm', false);
    $changeDO->insert();
    echo my_redirect('index.php?List=Software');
} else {
    // EDIT
    $form->addRule('software_Title', 'Please specify a Software Title.', 'required', null, 'client');
    $form->addRule('software_Licenses', 'Number of licenses can only be a number.', 'numeric', null, 'client');
    $form->addElement('submit', null, 'Submit');
    $form->display();
}

function processForm($values)
{
    $do = DB_DataObject::factory('Software');

    if ($values['software_ID'] == NEWID) {
        unset($values['software_ID']);
    } else {
        $do->get($values['software_ID']);
    }

    $do->setFrom($values, 'software_%s');

    if (isset($values['software_ID'])) {
        $do->update();
    } else {
        $do->insert();
    }
}
?>