<?php
$SupLogDO = DB_DataObject::factory('SupportLog');

$ChangeDO=DB_DataObject::factory('Changelog');
$ChangeDO->TableName=sSUPPORT;
$ChangeDO->UserIP=$_SERVER['REMOTE_ADDR'];
$ChangeDO->EmployeeID=$_SESSION['EmployeeID'];

if ($ID != NEWID) {
    // Update

    $SupLogDO->get($ID);
    $SupLogDO->getLink('Technician');
    $SupLogDO->getLink('Status');

    $ChangeDO->Description=lEDITING.' '.lSUPPORTLOGITEM."($ID)";
    $ChangeDO->QueryType='UPDATE';
    $HeaderText = lEDITING.' '.lSUPPORTLOGITEM;
}
else {
    // Insert

    // Set the Issue (Support.SupportID)
    $SupLogDO->Issue = $_GET['Issue'];

    $ChangeDO->Description=lADD_NEW.' '.lSUPPORTLOGITEM."($ID)";
    $ChangeDO->QueryType='INSERT';
    $HeaderText = lADD_NEW.' '.lSUPPORTLOGITEM;
}

// Load Technicians
$tempDO = DB_DataObject::factory('Employees');
$tempDO->orderBy('LastName, FirstName');
$tempDO->whereAdd('ITTechnician = 1');
$tempDO->whereAdd('Flag != '.fDELETED);
$tempDO->find();
$Technicians = array(0=>'Unassigned');
while($tempDO->fetch()) {
    $Technicians[$tempDO->EmployeeID] = $tempDO->toString();
}

// Load Support Statuses
$tempDO = DB_DataObject::factory('SupportStatus');
$tempDO->find();
$Statuses = array();
while($tempDO->fetch()) {
    $Statuses[$tempDO->ID] = $tempDO->toString();
}

$form = new HTML_QuickForm('SupportLog', 'POST', "index.php?Edit=SupportLog&ID=$ID&Issue=".$SupLogDO->Issue);
$form->addElement('header', null, $HeaderText);
$form->addElement('hidden', 'supportlog_ID', $ID);
$form->addElement('hidden', 'supportlog_Issue', $SupLogDO->Issue);
$form->addElement('text', 'supportlog_Timestamp', 'Timestamp:');
$form->addElement('select', 'supportlog_Technician', 'Technician:', $Technicians);
$form->addElement('textarea', 'supportlog_Description', 'Description:',
    array('rows'=>4, 'cols'=>35));
$form->addElement('select', 'supportlog_Status', 'Status:', $Statuses);

if ($form->validate()) {
    // Form validated, now process data
    $form->process('processForm', false);

    // Insert into the changelog
    $ChangeDO->insert();

    echo my_redirect('index.php?view=Support&ID='.$SupLogDO->Issue);
} else {
    // Display edit form
    $form->setDefaults($SupLogDO->toArray('supportlog_%s'));
    $form->addElement('submit', null, 'Submit');
    $form->display();
}

function processForm($values)
{
    // Create new SupportLog DO to save with
    $do = DB_DataObject::factory('SupportLog');

    // If we're updating an existing SupportLog Item, get its data
    if (is_numeric($values['supportlog_ID']) && $values['supportlog_ID'] != NEWID) {
        $do->get($values['supportlog_ID']);
    } else {
        unset($values['supportlog_ID']);
    }

    $do->setFrom($values, 'supportlog_%s');

    // Reformat Date
    $do->Timestamp = strftime(MYSQL_DATE,
        mktime(12,0,0,$values['support_StartedDate']['M'],
        $values['support_StartedDate']['d'],$values['support_StartedDate']['Y']));

    if (!isset($values['supportlog_ID'])) {
        $ID = $do->insert();
        // The previous statement doesn't seem to always return the ID, but
        // the following line seems to get the ID just fine
        $ID = $do->ID;
    } else {
        $do->update();
    }

    // Now update the parent Issue (Support row)
    $ParentDO = DB_DataObject::factory('Support');
    $ParentDO->get($do->Issue);
    $ParentDO->SupportStatus = $do->Status;
    $ParentDO->update();
}
?>