<?php
/**
 * Table Definition for Changelog
 */
require_once 'DB/DataObject.php';

class DO_Changelog extends DB_DataObject 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'Changelog';                       // table name
    var $ID;                              // int(10)  not_null primary_key unsigned auto_increment
    var $Timestamp;                       // datetime(19)  not_null
    var $UserIP;                          // string(15)  
    var $TableName;                       // string(25)  
    var $ChangeID;                        // int(10)  unsigned
    var $QueryType;                       // string(6)  
    var $Description;                     // string(200)  
    var $EmployeeID;                      // int(10)  unsigned

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_Changelog',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE
    var $fb_dateFields = array('Timestamp');

    function insert()
    {
        $this->Timestamp = date('Y-m-d H:i:s');
        parent::insert();
    }
}
?>
