<?php
/**
 * Table Definition for Groups
 */
require_once 'DB/DataObject.php';

class DO_Groups extends DB_DataObject 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'Groups';                          // table name
    var $GroupID;                         // int(10)  not_null primary_key unsigned auto_increment
    var $Name;                            // string(127)  not_null unique_key
    var $ComputersPerm;                   // int(4)  not_null
    var $PrintersPerm;                    // int(4)  not_null
    var $PeripheralsPerm;                 // int(4)  not_null
    var $SoftwarePerm;                    // int(4)  not_null
    var $EmployeesPerm;                   // int(4)  not_null
    var $ReportsPerm;                     // int(4)  not_null
    var $SupportPerm;                     // int(4)  not_null
    var $KBPerm;                          // int(4)  not_null
    var $LookupsPerm;                     // int(4)  not_null
    var $NewsPerm;                        // int(4)  not_null
    var $GroupPerm;                       // int(11)  not_null
    var $OutOfOfficePerm;                 // int(11)  not_null
    var $PolicyPerm;                      // int(11)  not_null
    var $Flag;                            // int(4)  not_null multiple_key

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_Groups',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE
    function toString() {
        $ret = @$this->Name;
        if ($this->Flag == fDELETED)
            $ret = '<span style="color: red;">['.$ret.']</span>';
        
        return $ret;
    }
    
    function delete($useWhere = FALSE) {
        if (isset($_SESSION['keepHistorical']) && $_SESSION['keepHistorical']==false) {
            parent::delete($useWhere);
        } else {
            $this->find();
            while($this->fetch()){
                $this->Flag = fDELETED;
                $this->update();
            } // while
        }
    }
}
?>
