<?php
/**
 * Table Definition for Installations
 */
require_once 'DB/DataObject.php';

class DO_Installations extends DB_DataObject 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'Installations';                   // table name
    var $ID;                              // int(10)  not_null primary_key unsigned auto_increment
    var $Computer;                        // int(10)  not_null unsigned
    var $Software;                        // int(10)  not_null unsigned
    var $SerialNumber;                    // string(40)  
    var $DateInstalled;                   // date(10)  
    var $DateUpdated;                     // date(10)  
    var $Flag;                            // int(1)  not_null multiple_key unsigned

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_Installations',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE

    function delete($useWhere = FALSE) {
        if (isset($_SESSION['keepHistorical']) && $_SESSION['keepHistorical']==false) {
            parent::delete($useWhere);
        } else {
            $this->find();
            while($this->fetch()){
                $this->Flag = fDELETED;
                $this->update();
            } // while
        }
    }
}
?>
