<?php
/**
 * Table Definition for News_Departments
 */
require_once 'DB/DataObject.php';

class DO_News_Departments extends DB_DataObject 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'News_Departments';                // table name
    var $NewsID;                          // int(11)  not_null primary_key
    var $DepartmentID;                    // int(11)  not_null primary_key
    var $Flag;                            // int(4)  not_null multiple_key

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_News_Departments',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE

    function insert()
    {
        $oldItem = $this;
        unset($oldItem->Flag);
        $oldItem->find();
        if ($oldItem->fetch()) {
            parent::update($oldItem);
        } else {
            parent::insert();
        }
    }

    function delete($useWhere = FALSE)
    {
        if (isset($_SESSION['keepHistorical']) && $_SESSION['keepHistorical']==false) {
            parent::delete($useWhere);
        } else {
            $this->find();
            while($this->fetch()){
                $this->Flag = fDELETED;
                $this->update();
            } // while
        }
    }

}
?>