<?php
/**
 * Table Definition for PolicyText
 */
require_once 'DB/DataObject.php';

class DO_PolicyText extends DB_DataObject
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'PolicyText';                      // table name
    var $PolicyTextID;                    // int(10)  not_null primary_key unsigned auto_increment
    var $Policy;                          // int(10)  not_null multiple_key unsigned
    var $Version;                         // int(10)  not_null unsigned
    var $Author;                          // int(10)  not_null unsigned
    var $Flag;                            // int(3)  not_null multiple_key unsigned
    var $Created;                         // datetime(19)  not_null
    var $Text;                            // blob(65535)  not_null blob

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_PolicyText',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE

    function toString() {
        $ret = @$this->Version;
        if ($this->Flag == fDELETED)
            $ret = '<span style="color: red;">['.$ret.']</span>';

        return $ret;
    }

    function delete($useWhere = FALSE) {
        if (isset($_SESSION['keepHistorical']) && $_SESSION['keepHistorical']==false) {
            parent::delete($useWhere);
        } else {
            $this->find();
            while($this->fetch()){
                $this->Flag = fDELETED;
                $this->update();
            } // while
        }
    }
}
?>