<?php
/**
 * Table Definition for Role
 */
require_once 'DB/DataObject.php';

class DO_Role extends DB_DataObject 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'Role';                            // table name
    var $ID;                              // int(11)  not_null primary_key unsigned auto_increment
    var $Description;                     // string(50)  
    var $InUse;                           // int(1)  not_null unsigned
    var $Flag;                            // int(4)  not_null multiple_key

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_Role',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE
    var $fieldsToRender = array('ID', 'Description', 'InUse');
    var $hidePrimaryKey = false;
    var $userEditableFields = array('Description');
    var $fb_linkDisplayFields = array('Description');

    var $naming = array(lROLE, lROLES);
    var $listColumns = array('Description' => 'Description', 'InUse' => 'Currently in use?');
    var $specialView = array('InUse' => array('1' => 'Yes', '0' => 'No', null => 'No'));

    function toString() {
        $ret = @$this->Description;
        if ($this->Flag == fDELETED)
            $ret = '<span style="color: red;">['.$ret.']</span>';
        
        return $ret;
        return $ret;
    }
    
    function delete($useWhere = FALSE) {
        if (isset($_SESSION['keepHistorical']) && $_SESSION['keepHistorical']==false) {
            parent::delete($useWhere);
        } else {
            $this->find();
            while($this->fetch()){
                $this->Flag = fDELETED;
                $this->update();
            } // while
        }
    }

    function defineForm(&$form) {
        $form->addElement('hidden', 'field_ID', $this->ID);
        $form->addElement('hidden', 'field_InUse', 0);
        $form->addElement('text', 'field_Description', 'Name:',array('size'=>40));
    }
}
?>