<?php
/**
 * Table Definition for Software
 */
require_once 'DB/DataObject.php';

class DO_Software extends DB_DataObject 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'Software';                        // table name
    var $ID;                              // int(10)  not_null primary_key unsigned auto_increment
    var $Vendor;                          // int(11)  not_null
    var $Title;                           // string(50)  not_null
    var $Version;                         // string(25)  
    var $Licenses;                        // int(9)  
    var $ManufacturedDate;                // date(10)  
    var $Website;                         // string(200)  
    var $isOS;                            // int(1)  not_null
    var $Flag;                            // int(4)  not_null multiple_key

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_Software',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE

    function toString() {
        $ret = trim(@$this->Company.' '.@$this->Title.' '.@$this->Version);
        if ($this->Flag == fDELETED)
            $ret = '<span style="color: red;">['.$ret.']</span>';

        return $ret;
    }

    function delete($useWhere = FALSE) {
        if (isset($_SESSION['keepHistorical']) && $_SESSION['keepHistorical']==false) {
            parent::delete($useWhere);
        } else {
            $this->find();
            while($this->fetch()){
                $this->Flag = fDELETED;
                $this->update();
            } // while
        }
    }
}
?>