<?php
/**
 * Table Definition for SupportLog
 */
require_once 'DB/DataObject.php';

class DO_SupportLog extends DB_DataObject 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'SupportLog';                      // table name
    var $ID;                              // int(10)  not_null primary_key unsigned auto_increment
    var $Timestamp;                       // datetime(19)  not_null
    var $Issue;                           // int(10)  not_null unsigned
    var $Technician;                      // int(10)  not_null unsigned
    var $Description;                     // blob(65535)  blob
    var $Status;                          // int(10)  not_null unsigned

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DO_SupportLog',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE

    function toString()
    {
        if (strlen($this->Description) > 15) {
            return substr($this->Description, 0, 15).'...';
        } else {
            return $this->Description;
        }
    }
}

?>
