<?php
    require_once('inc/common.php');

    function footer()
    {
        echo '<p class="footer">powered by <a href="http://openit.sourceforge.net/">OpenIT '.VERSION.'</a></p>
            </div>
        </body>
    </html>';
    }

    global $section, $extraHeaders, $settings;

    $ThisTitle=$settings['PageTitle'];
    if(isset($section))$ThisTitle .= ' - ' . $section;

    header("Pragma: no-cache");

    echo '<?xml version="1.0" encoding="utf-8"?>';
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title><?=$ThisTitle ?></title>
        <link rel="stylesheet" type="text/css" href="css/main.css" />
        <link rel="stylesheet" type="text/css" href="css/calendar.css" />
        <?=$extraHeaders ?>
    </head>
    <body>
<?php
    if (!isset($miniHeader) || $miniHeader==FALSE) {
        echo "\t\t<div id=\"title\">\n\t\t\t<h1>$ThisTitle</h1>\n\t\t</div>\n\t\t<div id=\"toc\">\n";
        $navBar =& new HTML_Table(array('cellpadding'=>'0', 'cellspacing'=>'0'));

        $navBar->addRow(array($settings['FullTitle']), null, 'TH');

        $cells = array('<a href="index.php" title="'.lHOME.'">
            <img src="images/button_home.png" alt="'.lHOME.'" />Home</a>');

        if(ListPerm(sCOMPUTERS))
            $cells[] ='<a href="index.php?List='.sCOMPUTERS.'">'.
                '<img src="images/button_computers.png" />'.lCOMPUTERS.'</a>';
        if(ListPerm(sPRINTERS))
            $cells[] ='<a href="index.php?List='.sPRINTERS.'">'.
                '<img src="images/button_printers.png" />'.lPRINTERS.'</a>';
        if(ListPerm(sPERIPHERALS))
            $cells[] ='<a href="index.php?List='.sPERIPHERALS.'">'.
                '<img src="images/button_printers.png" />'.lPERIPHERALS.'</a>';
        if(ListPerm(sSOFTWARE))
            $cells[] ='<a href="index.php?List='.sSOFTWARE.'">'.
                '<img src="images/button_software.png" />'.lSOFTWARE.'</a>';
        if(ListPerm(sEMPLOYEES))
            $cells[] ='<a href="index.php?List='.sEMPLOYEES.'">'.
                '<img src="images/button_employees.png" />'.lEMPLOYEES.'</a>';
        if(ListPerm(sOUTOFOFFICE))
            $cells[] ='<a href="index.php?List='.sOUTOFOFFICE.'">'.
                '<img src="images/button_ooo.png" />'.lOUTOFOFFICE.'</a>';
        if(ListPerm(sREPORTS))
            $cells[] ='<a href="index.php?List='.sREPORTS.'">'.
                '<img src="images/button_reports.png" />'.lREPORTS.'</a>';
        if(ListPerm(sSUPPORT))
            $cells[] ='<a href="index.php?List='.sSUPPORT.'">'.
                '<img src="images/button_support.png" />'.lSUPPORT.'</a>';
        if(ListPerm(sKB))
            $cells[] ='<a href="index.php?List='.sKB.'">'.
                '<img src="images/button_kb.png" />'.lKB.'</a>';
        if(ListPerm(sPOLICIES))
            $cells[] ='<a href="index.php?List='.sPOLICIES.'">'.
                '<img src="images/button_kb.png" />'.lPOLICIES.'</a>';
        if(ListPerm(sGROUPS))
            $cells[] ='<a href="index.php?List='.sGROUPS.'">'.
                '<img src="images/button_employees.png" />'.lGROUPS.'</a>';
        if(ListPerm(sLOOKUPS))
            $cells[] ='<a href="index.php?List='.sLOOKUPS.'">'.
                '<img src="images/button_lookups.png" />'.lLOOKUPS.'</a>';
        if(ListPerm(sNEWS))
            $cells[] ='<a href="index.php?List='.sNEWS.'">'.
                '<img src="images/button_news.png" />'.lNEWS.'</a>';

        if(isset($_SESSION['Group'])
                && $_SESSION['Group'] != GUESTS_GROUPID)
            $cells[] = '<a href="logout.php" class="login">'.lSIGNOUT.'</a>';
        else
            $cells[] = '<a href="login.php" class="login">'.lSIGNIN.'</a>';

        foreach($cells as $row)
                $navBar->addRow(array($row));

        echo $navBar->toHTML()."\n\t\t</div>\n\t\t<div id=\"content\">\n";
    } else {
        echo '
        <div id="miniTitle">
            <p>'.$ThisTitle.'</p>
        </div>
        <div id="miniToc">
        </div>
        <div id="miniContent">
            <div align="left"><a href="index.php" target="blank">OpenIT Homepage</a><br>
        ';
        if(isset($_SESSION['Group'])
                && $_SESSION['Group'] != GUESTS_GROUPID)
            echo '<a target="_SELF" href="logout.php?Mini&Redirect='.urlencode($_SERVER["REQUEST_URI"]).'" class="login">'.lSIGNOUT.'</a>';
        else
            echo '<a target="_SELF" href="login.php?Mini&Redirect='.urlencode($_SERVER["REQUEST_URI"]).'" class="login">'.lSIGNIN.'</a>';
        echo "</div>\n";
    }
?>