<?php
    // Manually start the session because we don't want all of Common.php
    // Temporary work-around for Pear Bug #2356: Call time pass by ref. error
    ini_set('allow_call_time_pass_reference', 1);
    // Temporary work around for DB_DataObject 1.7.5 & PHP 4.3.10
    define('DB_DATAOBJECT_NO_OVERLOAD',true);

    // Start session and save it for 8 days
    session_name('OpenITSessionID');
    session_cache_expire(691200);
    session_set_cookie_params(691200);
    session_start();

    // Only include Settings script so we just get the DB connection
    require_once('inc/settings.php');

    session_unset();
    session_destroy();
    session_start();

    if ($settings['Login']['login_type'] == "ldap") {
        require_once('login/ldap_auth.php');
    } else {
        require_once('login/db_auth.php');
    }
    session_write_close();

    if (isset($_GET['Redirect']) && !empty($_GET['Redirect'])) {
        $redirect = $_GET['Redirect'];
    } else {
        /* without the trailing slash, some installs with fail b/c the apache
         * they are running on does not have the trailing slash rewrite enabled */
        $redirect = dirname($_SERVER['PHP_SELF']) . '/';
    }

    header('Location: http://' . $_SERVER['HTTP_HOST']. $redirect);
    exit();
?>