<?php
// EMPLOYEES

$do = DB_DataObject::factory('Employees');
$do->orderBy('LastName, FirstName');
$do->whereAdd($do->__table.'.Flag != '.fDELETED);
$do->find();

$table =& new HTML_Table(array('cellpadding'=>'0', 'cellspacing'=>'0'));

$newRow = array();
switch(Permission(sEMPLOYEES)) {
        case pREMV:
            $newRow[] = '';
        case pEDIT:
        case pVIEW:
        case pLIST:
            $newRow[] = '';
            $newRow[] = '';
            $newRow[] = 'E-mail';
            $newRow[] = lLAST_NAME;
            $newRow[] = lFIRST_NAME;
            $newRow[] = lWORK_PHONE;
    }

$table->addRow($newRow, null, 'TH');

while($do->fetch()) {

    if($do->EmailAddress != '')
        $emailText = emailButton($do->EmailAddress);
    else
        $emailText = xButton();

    $emailText .= '<a href="index.php?Export=Employees&ID='.$do->EmployeeID.'" title="Export vCard">'.
        '<img src="images/button_vcard.png" alt="vCard" /></a>';

    $newRow = array();

    switch(Permission(sEMPLOYEES)) {
        case pREMV:
            $newRow[] = RemoveButton(sEMPLOYEES, $do->EmployeeID);
        case pEDIT:
        case pVIEW:
        case pLIST:
            if (EditPerm(sEMPLOYEES) || $do->EmployeeID == $_SESSION['EmployeeID'])
                $newRow[] = EditButton(sEMPLOYEES, $do->EmployeeID);
            else
                $newRow[] = '';

            if (ViewPerm(sEMPLOYEES) || $do->EmployeeID == $_SESSION['EmployeeID'])
                $newRow[] = ViewButton(sEMPLOYEES, $do->EmployeeID);
            else
                $newRow[] = '';

            $newRow[] = $emailText;
            $newRow[] = $do->LastName;
            $newRow[] = $do->FirstName;
            $newRow[] = $do->WorkPhone;
    }

    if($row['ID'] == $_SESSION['EmployeeID'])
        for($ri = count($newRow) - 3; $ri < count($newRow); $ri++)
            $newRow[$ri] = '<b>'.$newRow[$ri].'</b>';

    $newRowID = $table->addRow($newRow);

    $rowAttr = array(
        'id'=>'row'.$do->EmployeeID,
        'onMouseOver'=>"javascript:setColor(".$do->EmployeeID.",'".$settings['bgColorHover']."')",
        'onMouseOut'=>'javascript:origColor('.$do->EmployeeID.')');

    if(($newRowID%2) == 0)
        $rowAttr['class'] ='even';
    else
        $rowAttr['class'] = 'odd';

    $table->setRowAttributes($newRowID, $rowAttr, true);
}

if (EditPerm(sEMPLOYEES))
    echo AddNewButton(sEMPLOYEES);

echo $table->toHTML();
?>