<?php
    $do = DB_DataObject::factory('KnowledgeBase');
    $do->whereAdd($do->__table.'.Flag != '.fDELETED);
    //$do->selectAdd('UNIX_TIMESTAMP(Updated) AS Updated');

    $OrderBy = 'KBCategory';
    $Sort = 'ASC';

    if (isset($_GET['Order'])) {
        switch ($_GET['Order']) {
            case 'Title':
                $OrderBy = 'Title';
                break;
            case 'Updated':
                $OrderBy = 'Updated';
            case 'Category':
            default:
                $OrderBy = 'KBCategory';
        }
    }

    if (isset($_GET['Sort']) && $_GET['Sort'] == 'desc')
        $Sort = 'DESC';

    $do->orderBy($OrderBy.' '.$Sort);

    $do->find();

    $table =& new HTML_Table(array('cellpadding'=>'0', 'cellspacing'=>'0'));

    $newRow = array();

    switch(Permission(sKB)) {
        case pREMV:
            // Uncomment the following line to allow removal of KB Articles
            // $newRow[] = linkButton('remove', 'KB', $row['ID']);
        case pEDIT:
            $newRow[] = '';
        case pVIEW:
            $newRow[] = '';
        case pLIST:
            $newRow[] = makeSortHeader(lCATEGORY, 'Category');
            $newRow[] = makeSortHeader(lTITLE, 'Title');
            $newRow[] = makeSortHeader(lUPDATED, 'Updated');
    }

    $table->addRow($newRow, null, 'TH');

    while($do->fetch()) {
        $newRow = array();

        switch(Permission(sKB)) {
            case pREMV:
                // Uncomment the following line to allow removal of KB Articles
                //$newRow[] = linkButton('remove', 'KB', $row['ID']);
            case pEDIT:
                $newRow[] = EditButton(sKB, $do->KBID);
            case pVIEW:
                $newRow[] = ViewButton(sKB, $do->KBID);
            case pLIST:
                $newRow[] = $do->Category_Display;
                $newRow[] = $do->Title;
                $newRow[] = strftime('%r %m/%d/%Y', strtotime($do->Updated));
        }

        $newRowID = $table->addRow($newRow);

        $rowAttr = array(
                'id'=>'row'.$do->KBID,
                'onMouseOver'=>"javascript:setColor(".$do->KBID.",'".$settings['bgColorHover']."')",
                'onMouseOut'=>'javascript:origColor('.$do->KBID.')');

        if(($newRowID%2) == 0)
            $rowAttr['class'] ='even';
        else
            $rowAttr['class'] = 'odd';

        $table->setRowAttributes($newRowID, $rowAttr, true);
    }

    if (EditPerm(sKB))
        echo AddNewButton(sKB);

    echo $table->toHTML();
?>