<script type="text/javascript" src="js/editor/fckeditor.js"></script>
<script type="text/javascript">
window.onload = function() {
  var oFCKeditor = new FCKeditor("news_Text", "600", "312");
  oFCKeditor.ReplaceTextarea();
}
</script>
<?php

$do = DB_DataObject::factory('News');

$changeDO=DB_DataObject::factory('Changelog');
$changeDO->TableName='News';
$changeDO->UserIP=$_SERVER['REMOTE_ADDR'];
$changeDO->EmployeeID=$_SESSION['EmployeeID'];

if ($ID!=NEWID) {
    $do->get($ID);
    $do->getLinks();

    if($do->count()<1)
        die("No ".lNEWS." with that ID");

    $changeDO->Description=lEDITING.' '.lNEWS."($ID)";
    $changeDO->QueryType='UPDATE';
    $text=lEDITING.' '.lNEWS;

    //$data = array('owner'=>$do->EmployeeID,'announcement'=>$do->Text,'creationstamp'=>$do->CreationStamp);

    $data=$do->toArray('news_%s');

    if (is_null($do->ExpirationTime)) {
        $data['ExpirationNull']=true;
        $data['ExpirationTime']=time();
    } else {
        $data['ExpirationNull']=false;
        $data['ExpirationTime']=strtotime($do->ExpirationTime);
    }

    $tempDO = DB_DataObject::factory('News_Departments');
    $tempDO->NewsID = $ID;
    $tempDO->find();
    while($tempDO->fetch()){
        $data['dept'][$tempDO->DepartmentID]=1;
    } // while
    unset($tempDO);
}
else {
    $changeDO->Description=lADD_NEW.' '.lNEWS;
    $changeDO->QueryType='INSERT';
    $text=lADD_NEW.' '.lNEWS;
    $data=array('news_EmployeeID'=>$_SESSION['EmployeeID'], 'ExpirationNull'=>true, 'ExpirationTime'=>time());
}

$tempDO = DB_DataObject::factory('Employees');
$subDO = DB_DataObject::factory('Groups');
$tempDO->joinAdd($subDO);
$tempDO->whereAdd('NewsPerm >='.pEDIT);
$tempDO->find();
$employees = array();
while($tempDO->fetch()){
    $employees[$tempDO->EmployeeID] = $tempDO->toString();
} // while
unset($tempDO,$subDO);

$form = new HTML_QuickForm('News','POST',"index.php?Edit=News&ID=$ID");

$form->addElement('header', null, $text);
$form->addElement('hidden', 'news_NewsID', $ID);
$form->addElement('hidden', 'news_CreationStamp');
$form->addElement('select', 'news_EmployeeID', 'Author:', $employees);
$form->addElement('text', 'news_Title', 'Title:',array('size'=>50,'maxlength'=>50));
$form->addElement('textarea', 'news_Text', 'Announcement:', array('rows' => 20, 'cols' => 70,'id'=>'news_Text'));
$group = array();
$group[] = &HTML_QuickForm::createElement('advcheckbox', 'ExpirationNull', null,'No Expiration Date?');
$group[] = &HTML_QuickForm::createElement('date','ExpirationTime','Expirations on:',array('language' => 'en', 'format' => 'M d, Y h:i A', 'minYear' => 2001));
$form->addGroup($group, null, 'Expiration:', '<br>');

$group = array();
$tempDO = DB_DataObject::factory('Departments');
$tempDO->find();
while($tempDO->fetch()){
    $group[$tempDO->ID] = &HTML_QuickForm::createElement('checkbox', $tempDO->ID, null,$tempDO->toString());
}
$form->addGroup($group, 'dept', 'Departments:', '<br>');
unset($tempDO,$group);

$form->addElement('submit', null, 'Submit');

$form->applyFilter('announcement', 'trim');
// The following rule doesn't work with FCKEditor
//$form->addRule('news_Text', 'Please enter an Announcement', 'required', null, 'client');
$form->addRule('news_EmployeeID', 'Please specify an Author', 'required', null, 'client');
$form->addRule('news_Title', 'Please specify an Author', 'required', null, 'client');

if ($form->validate()) {
    # If the form validates then freeze the data
    $form->process('process_data', false);
    $changeDO->insert();
    //$form->freeze();
    echo my_redirect('index.php?List=News');
} else {
    if (isset($data))
        $form->setDefaults($data);

    $form->display();
}

function process_data ($values)
{
    $do = DB_DataObject::factory('News');

    if ($values['news_NewsID'] != NEWID) {
        $do->get($values['news_NewsID']);
        $ID=$do->NewsID;
        $tempDO = DB_DataObject::factory('News_Departments');
        $tempDO->whereAdd("NewsID=$ID");
        $tempDO->delete(true);
        unset($tempDO);
    } else {
        unset($values['news_NewsID']);
        $do->CreationTime=strftime(MYSQL_DATE);
    }

    $ret = $do->setFrom($values,'news_%s');

    if ($values['ExpirationNull']!='') {
        $do->ExpirationTime=null;
    } else {
        if ($values['ExpirationTime']['A']=='P')
            $values['ExpirationTime']['h']+=12;

        $do->ExpirationTime=strftime(MYSQL_DATE,mktime($values['ExpirationTime']['h'],$values['ExpirationTime']['i'],0,$values['ExpirationTime']['M'],$values['ExpirationTime']['d'],$values['ExpirationTime']['Y']));
    }

    if (isset($values['news_NewsID'])) {
        $do->update();
    } else {
        $ID = $do->insert();
        $ID = $do->NewsID;  // Just making sure...
    }

    $copy = DB_DataObject::factory('News_Departments');
    foreach ($values['dept'] as $key=>$set) {
        $tempDO = $copy;
        $tempDO = DB_DataObject::factory('News_Departments');
        $tempDO->NewsID=$ID;
        $tempDO->DepartmentID=$key;
        $tempDO->insert();
        unset($tempDO);
    }
}
?>