<?php
if ($showFrozen)
    die(lOUTOFOFFICE.' does not support '.lVIEWING.'.');

$jsDateFormat = '%Y-%m-%d';

$do = DB_DataObject::factory('OutOfOffice');

$changeDO=DB_DataObject::factory('Changelog');
$changeDO->TableName='OutOfOffice';
$changeDO->UserIP=$_SERVER['REMOTE_ADDR'];
$changeDO->EmployeeID=$_SESSION['EmployeeID'];

if ($ID != NEWID) {
    // Update existing
    $do->get($ID);
    $do->getLinks();

    $changeDO->Description=lEDITING.' '.lOUTOFOFFICE." ($ID)";
    $changeDO->QueryType='UPDATE';

    $data = $do->toArray('oof_%s');
}
else {
    // Insert new
    $changeDO->Description=lADD_NEW.' '.lOUTOFOFFICE;
    $changeDO->QueryType='INSERT';
    $data = array('oof_Employee'=>$_SESSION['EmployeeID']);

}

$form = new HTML_QuickForm('OutOfOffice','POST',"index.php?Edit=OutOfOffice&ID=$ID");
$form->addElement('header', null, $changeDO->Description);
$form->addElement('hidden', 'oof_ID', $ID);

// Load Employees
$tempDO = DB_DataObject::factory('Employees');
$tempDO->orderBy('LastName, FirstName');
$tempDO->whereAdd('Flag != '.fDELETED);
$tempDO->find();
$employees = array();
while($tempDO->fetch()){
    $employees[$tempDO->EmployeeID] = $tempDO->toString();
}
unset($tempDO);
$form->addElement('select', 'oof_Employee', 'Employee:', $employees);

// Generate DHTML Calendar + Input
$OutForm = $jsCalendar->make_input_field(
           array('showsTime'      => true,
                 'showOthers'     => false,
                 'ifFormat'       => '%Y-%m-%d %H:%M',
                 'timeFormat'     => '12'));
// Add Input field
$form->addElement('text', 'oof_Out', 'Out From:', $OutForm['input']);
// Add JavaScript Calendar
$form->addElement('html', $OutForm['script']);

$BackForm = $jsCalendar->make_input_field(
            array('showsTime'      => true,
                 'showOthers'     => false,
                 'ifFormat'       => '%Y-%m-%d %H:%M',
                 'timeFormat'     => '12'));
$form->addElement('text', 'oof_Back', 'Back On:', $BackForm['input']);
$form->addElement('html', $BackForm['script']);

$form->addElement('textarea', 'oof_Description', 'Message:', array('rows' => 5, 'cols' => 40));

$form->setDefaults($data);

if ($form->validate()) {
    $form->process('processForm', false);
    $changeDO->insert();
    echo my_redirect('index.php?List=OutOfOffice');
} else {
    $form->addElement('submit', null, 'Submit');
    $form->display();
}

function processForm($values) {

    $do = DB_DataObject::factory('OutOfOffice');
    if ($values['oof_ID']==NEWID) {
        unset($values['oof_ID']);
    } else {
        $ID = $values['oof_ID'];
        $do->get($ID);
    }

    $ret = $do->setFrom($values,'oof_%s');

    if ($ret === true) {
        if (isset($values['oof_ID'])) {
            $do->update();
        } else {
            $ID = $do->insert();
            $ID = $do->ID;
        }

    } else {
        echo '<p><b>Out of Office edit form errors:</b> '  . implode(', ', $ret).'</p>';
    }
}
?>