<?php
    $do = DB_DataObject::factory('OutOfOffice');
    $do->selectAdd();
    $do->selectAdd('OutOfOffice.ID, UNIX_TIMESTAMP(Out) As Out, UNIX_TIMESTAMP(Back) AS Back, Description, EmailAddress AS Email');
    // Only display where the Back time is either later or within 15 minutes ago
    $do->whereAdd('UNIX_TIMESTAMP(OutOfOffice.Back) > (UNIX_TIMESTAMP(NOW())-900)');
    $do->orderBy('OutOfOffice.Out, Employee_Display');
    $do->find();

    $table =& new HTML_Table(array('cellpadding'=>'0', 'cellspacing'=>'0'));

    $newRow = array();
    switch(Permission(sEMPLOYEES)) {
        case pREMV:
            $newRow[] = '';
        case pEDIT:
            $newRow[] = '';
        case pVIEW:
            //$newRow[] = 'ID';
        case pLIST:
            $newRow[] = '';
            $newRow[] = 'Name';
            $newRow[] = 'Out';
            $newRow[] = 'Back';
            $newRow[] = 'Message';
    }

    $table->addRow($newRow, null, 'TH');

    while($do->fetch()) {
        if (is_null($do->toValue('Email')))
            $emailText = xButton();
        else
            $emailText = emailButton($do->toValue('Email'));

        $newRow = array();

        switch(Permission(sEMPLOYEES)) {
            case pREMV:
                $newRow[] = RemoveButton(sOUTOFOFFICE, $do->ID);
            case pEDIT:
                $newRow[] = EditButton(sOUTOFOFFICE, $do->ID);
            case pVIEW:
            case pLIST:
                $newRow[] = $emailText;
                $newRow[] = $do->Employee_Display;
                $newRow[] = date('n/j/y g:i a',$do->Out);
                $newRow[] = date('n/j/y g:i a',$do->Back);
                $newRow[] = $do->Description;
        }

        $newRowID = $table->addRow($newRow);

        $rowAttr = array(
            'id'=>'row'.$do->ID,
            'onMouseOver'=>"javascript:setColor(".$do->ID.",'".$settings['bgColorHover']."')",
            'onMouseOut'=>'javascript:origColor('.$do->ID.')');

        if(($newRowID%2) == 0)
                $rowAttr['class'] ='even';
            else
                $rowAttr['class'] = 'odd';

        $table->setRowAttributes($newRowID, $rowAttr, true);
    }

    if (EditPerm(sOUTOFOFFICE))
        echo AddNewButton(sOUTOFOFFICE);
    echo $table->toHTML();
?>