<?php
$do = DB_DataObject::factory('Policies');
require_once('DB/DataObject/Cast.php');

$frozenItems = array();
$preVal = array();

if ($ID != NEWID) {
    $do->whereAdd('PolicyID = '.$ID);
    $do->find(true);
    $do->getLinks();

    // gets all connected PolicyText rows
    $textDO = DB_DataObject::factory('PolicyText');
    $textDO->whereAdd("Policy = $ID AND Flag != ".fDELETED);
    $textDO->find();

    if($do->count(DB_DATAOBJECT_WHEREADD_ONLY) < 1)
        die("No ".lPOLICY." with that ID");

    $changeDO->Description=lEDITING.' '.lPOLICY."($ID)";
    $changeDO->QueryType='UPDATE';
    if ($showFrozen)
        $text=lVIEW.' '.lPOLICY;
    else
        $text=lEDITING.' '.lPOLICY;

    $preVal=$do->toArray('policy_%s');

    $frozenItems[] = 'policy_Title';
    $frozenItems[] = 'policy_Category';
} else {
    $text=lADD_NEW.' '.lPOLICY;
}

// INTERFACE LAYOUT
$tempDO = DB_DataObject::factory('PolicyCategories');
$tempDO->orderBy('Description');
$tempDO->find();
while($tempDO->fetch()) {
    $categoryOptions[$tempDO->ID]=$tempDO->toString();
}
unset($tempDO);
$tempDO = DB_DataObject::factory('Employees');
$tempDO->orderBy('LastName, FirstName');
$tempDO->find();
while($tempDO->fetch()){
    $employeeOptions[$tempDO->EmployeeID]=$tempDO->toString();
}
unset($tempDO);

$form = new HTML_QuickForm('Policies','POST',"index.php?Edit=Policies&ID=$ID");
$form->addElement('header', null, $text);
$form->addElement('hidden', 'policy_PolicyID', $ID);
$form->addElement('text', 'policy_Title', 'Policy Title:',array('size'=>40));
$form->addElement('select', 'policy_Category', 'Policy Category:', $categoryOptions);

$addEditable = true;
$prior = 0;
$lastVersion = 0;
if (isset($textDO)) {
    while($textDO->fetch()){
        if ($textDO->Flag == fUNPUBLISHED) {
            $text = 'Revision '.$textDO->Version.':<BR>Created: '.strftime('%b %d, %Y<br>%r',strtotime($textDO->Created)).'<BR>By '.$employeeOptions[$textDO->Author];
            $preVal['text_Contents'] = $textDO->Text;
            $form->addElement('textarea','text_Contents', $text,
                array('rows' => 10, 'cols' => 70, 'ID'=>'text_Contents'));
            $addEditable = FALSE;
            $form->addElement('hidden', 'text_PolicyTextID', $textDO->PolicyTextID);
        } elseif ($addEditable == TRUE) {
            $defaultText = $textDO->Text;
            $prior += 1;
            $lastVersion = $textDO->Version;
        }
        $lastTextID = $textDO->PolicyTextID;
    } // while
}

if ($addEditable) {
    if ($showFrozen) {
        $form->addElement('hidden', 'text_PolicyTextID', $lastTextID);
        $form->addElement('static', 'text_Content', "Revision $lastVersion:<br />Created: ".strftime('%b %d, %Y<br>%r',strtotime($textDO->Created)).'<br />By '.$employeeOptions[$textDO->Author], @$defaultText);
    } else {
        $form->addElement('hidden', 'text_PolicyTextID', -1);
        $preVal['text_Contents'] = @$defaultText;
        $form->addElement('textarea','text_Contents','Revision '.($lastVersion+1).':<br />[New]',array('rows' => 10, 'cols' => 45, 'ID'=>'text_Contents'));
    }
}

if ($form->validate()) {
    // SAVE
    $changeDO=DB_DataObject::factory('Changelog');
    $changeDO->TableName='Policies';
    $changeDO->UserIP=$_SERVER['REMOTE_ADDR'];
    $changeDO->EmployeeID=$_SESSION['EmployeeID'];
    $changeDO->Description=$text;
    if ($ID != NEWID) {
        $changeDO->Description .= "($ID)";
        $changeDO->QueryType='UPDATE';
    } else {
        $changeDO->QueryType='INSERT';
    }

    $form->process('processForm', false);

    $changeDO->insert();

    echo my_redirect('index.php?List=Policies');

} else {
    // EDIT
    if ($showFrozen) {
        $subDO = DB_DataObject::factory('Policies_Employees');
        $subDO->Employee = $_SESSION['EmployeeID'];
        $subDO->PolicyText = $lastTextID;

        if ($subDO->count()==0) {
            $form->addElement('advcheckbox', 'employeeAgree','','I agree with this policy',null,array(0,1));
            $form->addElement('submit', 'signPolicy', 'Sign Policy');
            $form->setDefaults($preVal);
            $form->freeze(array('policy_Title','policy_Category'));
        } else {
            $subDO->find(true);
            $form->addElement('text', 'policy_Title','');
            $preVal['policy_Title'] = 'You agreed to this revision of the policy on '.strftime('%b %d, %Y %r',strtotime($subDO->ViewedOn));
            $form->setDefaults($preVal);
            $form->freeze();
        }
        unset($subDO);

    } else {
    echo '
    <script type="text/javascript" src="js/editor/fckeditor.js"></script>
    <script type="text/javascript">
        window.onload = function() {
            var oFCKeditor = new FCKeditor("text_Contents", "600", "400");
            oFCKeditor.ReplaceTextarea();
        }
    </script>';
        $form->setDefaults($preVal);
        $form->addRule('policy_Title', 'Please enter a Title for the new policy', 'required', null, 'client');
        $form->addRule('policy_Category', 'Please enter a Category for the new policy', 'required', null, 'client');

        $form->freeze($frozenItems);
        $group = array(HTML_QuickForm::createElement('submit', 'save', 'Save Unpublished'),
                HTML_QuickForm::createElement('submit', 'publish', 'Save and Publish'));
        $form->addGroup($group, null, '', '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;',FALSE);
    }
    $form->display();
}

function processForm($values) {
    if ($values['policy_PolicyID']== NEWID) {
        $do = DB_DataObject::factory('Policies');
        $do->Category = $values['policy_Category'];
        $do->Title = $values['policy_Title'];
        $ID = $do->insert();
        $ID = $do->PolicyID;  // Sometimes the previous line doesn't work
    } else {
        $ID = $values['policy_PolicyID'];
    }

    if ($ID > 0) {
        if (isset($_POST['employeeAgree']) && $_POST['employeeAgree']==1) {
            // this is someone signing the policy.
            $subDO = DB_DataObject::factory('Policies_Employees');
            $subDO->Employee = $_SESSION['EmployeeID'];
            $subDO->PolicyText = $values['text_PolicyTextID'];
            $subDO->ViewedOn = DB_DataObject_Cast::sql('NOW()');
            $subDO->insert();
        } else {
            // this is someone editing a policy
            $textDO = DB_DataObject::factory('PolicyText');
            if ($values['text_PolicyTextID'] == -1) {
                $textDO->Policy = $ID;
            } else {
                $textDO->whereAdd('PolicyTextID = ' . $values['text_PolicyTextID']);
                $textDO->find(true);
            }
            $textDO->Text = $values['text_Contents'];
            if (isset($values['publish']))
                $textDO->Flag = fNORMAL;
            else
                $textDO->Flag = fUNPUBLISHED;

            $textDO->Author = $_SESSION['EmployeeID'];
            $textDO->Created = strftime(MYSQL_DATE);
            if ($values['text_PolicyTextID'] == -1)
                $textDO->insert();
            else
                $textDO->update();
        }
    }
}
?>