<?php
$do = DB_DataObject::factory('Printers');

$changeDO=DB_DataObject::factory('Changelog');
$changeDO->TableName='Printers';
$changeDO->UserIP=$_SERVER['REMOTE_ADDR'];
$changeDO->EmployeeID=$_SESSION['EmployeeID'];

if ($ID != NEWID) {
    $do->get($ID);

    if($do->count() < 1)
        die("No ".lPRINTER." with that ID");

    $changeDO->Description=lEDITING.' '.lPRINTER."($ID)";
    $changeDO->QueryType='UPDATE';
    $text=lEDITING.' '.lPRINTER;

    //$data = array('owner'=>$do->EmployeeID,'announcement'=>$do->Text,'creationstamp'=>$do->CreationStamp);

    $data=$do->toArray('printer_%s');

    if (is_null($do->Department))
        $data['Department'] = 0;

    if (is_null($do->Computer))
        $data['Computer'] = 0;

    if (!is_null($do->PurchasedDate))
        $data['printer_PurchaseDate'] = strtotime($do->PurchasedDate);

}
else {
    $changeDO->Description=lADD_NEW.' '.lPRINTER;
    $changeDO->QueryType='INSERT';
    $text=lADD_NEW.' '.lPRINTER;
    $data=array('printer_PurchasedDate'=>time());
}
$tempDO = DB_DataObject::factory('Vendors');
$tempDO->find();
$vendorOptions = array();
while($tempDO->fetch()){
    $vendorOptions[$tempDO->ID] = $tempDO->toString();
} // while
unset($tempDO);

$tempDO = DB_DataObject::factory('Departments');
$tempDO->find();
$deptOptions = array(0=>'None');
while($tempDO->fetch()){
    $deptOptions[$tempDO->ID] = $tempDO->toString();
} // while
unset($tempDO);

$tempDO = DB_DataObject::factory('Computers');
$tempDO->find();
$computerOptions = array(0=>'None');
while($tempDO->fetch()){
    $computerOptions[$tempDO->ComputerID] = $tempDO->toString();
} // while
unset($tempDO);

$tempDO = DB_DataObject::factory('PrinterTypes');
$tempDO->find();
$typeOptions = array();
while($tempDO->fetch()){
    $typeOptions[$tempDO->ID] = $tempDO->toString();
} // while
unset($tempDO);

$form = new HTML_QuickForm('Printers','POST',"index.php?Edit=Printers&ID=$ID");

$form->addElement('header', null, $text);
$form->addElement('hidden', 'printer_PrinterID', $ID);
$form->addElement('select', 'printer_Vendor', lVENDOR.':', $vendorOptions);
$form->addElement('text', 'printer_Model', lMODEL.':');
$form->addElement('text', 'printer_ModelNumber', 'Model Number:');
$form->addElement('text', 'printer_SerialNumber', lSERIAL.':');
$form->addElement('date','printer_PurchasedDate','Purchased On:',array('language' => 'en', 'format' => 'M d, Y'));
$form->addElement('select', 'printer_Computer', lCOMPUTER.':', $computerOptions);
$form->addElement('select', 'printer_Department', lDEPT.':', $deptOptions);
$form->addElement('text', 'printer_CostPerPage', 'Cost/Page (Cents):');
$form->addElement('select', 'printer_PrinterType', 'Printer Type:', $typeOptions);
$form->addElement('checkbox','printer_NetworkReady','','Network Ready');
$form->addElement('checkbox','printer_Multifunction','','MultiFunction');
$form->addElement('textarea', 'printer_Notes', lNOTES.':', array('cols' => 40));

$form->addRule('printer_Vendor', '', 'required', null, 'client');

if ($form->validate()) {
    // SAVE
    $form->process('processForm', false);

    // Insert Changelog
    $changeDO->insert();

    echo my_redirect('index.php?List=Printers');
} else {
    // EDIT
    if (isset($data))
        $form->setDefaults($data);

    $form->addElement('submit', null, lSUBMIT);
    $form->display();
}
unset($do);

function processForm($values)
{
    $do = DB_DataObject::factory('Printers');

    if ($values['printer_PrinterID'] != NEWID) {
        $do->get($values['printer_PrinterID']);
    } else {
        unset($values['printer_PrinterID']);
    }

    $do->setFrom($values,'printer_%s');

    if (empty($do->Department))
        $do->Department = 'null';

    if (empty($do->Computer))
        $do->Computer = 'null';

    if (empty($do->CostPerPage))
        $do->CostPerPage = 'null';

    if (empty($values['printer_Multifunction']))
        $do->Multifunction = 0;
    else
        $do->Multifunction = 1;

    if (empty($values['printer_NetworkReady']))
        $do->NetworkReady = 0;
    else
        $do->NetworkReady = 1;

    $do->PurchasedDate=strftime(MYSQL_DATE,mktime(12,0,0,$values['printer_PurchasedDate']['M'],$values['printer_PurchasedDate']['d'],$values['printer_PurchasedDate']['Y']));

    if (!isset($values['printer_PrinterID']))
        $do->insert();
    else {
        $do->update();
    }
}
?>